#extension GL_OES_EGL_image_external : require
precision mediump float;
varying highp vec2 textureCoordinate;
uniform samplerExternalOES inputImageTexture;
uniform vec4 mixColor;
uniform float alpha;

void main() {
    highp vec2 coordinate = vec2(textureCoordinate.x, textureCoordinate.y);
    vec4 c2 = mixColor;
    vec4 c1 = texture2D(inputImageTexture, coordinate);
    vec4 outputColor;

    outputColor.r = c1.r + c2.r * c2.a * (1.0 - c1.a);
    outputColor.g = c1.g + c2.g * c2.a * (1.0 - c1.a);
    outputColor.b = c1.b + c2.b * c2.a * (1.0 - c1.a);
    outputColor.a = (c1.a + c2.a * (1.0 - c1.a));
    vec4 outputColor2;
    vec4 balckColor = vec4(0.0);
    outputColor2 = vec4(mix(balckColor.rgba, outputColor.rgba, alpha));
    if (outputColor2.a == 0.0) discard;
    gl_FragColor = outputColor2;
}
