precision mediump float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

uniform float mixturePercent;
void main()
{
    vec4 textureColor = texture2D(inputImageTexture, textureCoordinate);
    vec4 textureColor2 = texture2D(inputImageTexture2, textureCoordinate2);
    vec4 whiteColor = vec4(1.0);
    vec4 textureColor3 = whiteColor - (whiteColor - textureColor) / textureColor2;
    textureColor3.a = 1.0 - (1.0 -textureColor2.a)/textureColor.a;
    gl_FragColor =vec4(mix(textureColor.rgb, textureColor3.rgb, textureColor3.a*mixturePercent), textureColor.a);
}
