precision highp float;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
uniform sampler2D inputImageTexture;
uniform highp vec2 center;
void main()
{
    vec4 rgb = texture2D(inputImageTexture, textureCoordinate);
    vec4 fragmentColor = vec4(0.0);
    float d = distance(textureCoordinate2, center);
//    if (d>0.3){
//        gl_FragColor = vec4(0.0);
//    } else {
//        gl_FragColor = rgb;
//    }
    float percent = smoothstep(0.3, 0.8, d);
    gl_FragColor = mix(rgb, fragmentColor,percent);
}