uniform mat4 transformMatrix;
uniform mat4 transformMatrix2;
uniform mat4 textureMatrix;
attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
void main() {
    gl_Position = transformMatrix * vec4(position.xyz, 1.0);
    textureCoordinate = vec4(textureMatrix * inputTextureCoordinate).xy;
    textureCoordinate2 = vec4(inputTextureCoordinate*transformMatrix2).xy;
}
